From 2a686910ec0ac4c8173b9b1bb9de0bcc0c59edfd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 20 2020 03:39:49 +0000
Subject: [PATCH 1463/2232] Merge pull request #491 from dtolnay/externenum


Check std::is_enum on extern enum
---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 71d6163..d997786 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -269,6 +269,12 @@ fn write_enum<'a>(out: &mut OutFile<'a>, enm: &'a Enum) {
 
 fn check_enum<'a>(out: &mut OutFile<'a>, enm: &'a Enum) {
     out.set_namespace(&enm.name.namespace);
+    out.include.type_traits = true;
+    writeln!(
+        out,
+        "static_assert(::std::is_enum<{}>::value, \"expected enum\");",
+        enm.name.cxx,
+    );
     write!(out, "static_assert(sizeof({}) == sizeof(", enm.name.cxx);
     write_atom(out, enm.repr);
     writeln!(out, "), \"incorrect size\");");

